<?php

namespace App\View\Components;

use Closure;
use Filament\Actions\Action;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class VerificationCard extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public array $progress,
        public Action $submitAction,
        public string $type = 'company'
    ) {}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.verification-card');
    }
}
